<div class="description">
  <h1 class="fr-h2">Création de compte en tant que membre d’une mairie ou intercommunalité</h1>
  <p>
    Ce parcours d’inscription est réservé aux maires et leurs équipes, ou membres d’EPCI.
  </p>
  <ng-container [ngSwitch]="step">
    <ng-container *ngSwitchCase="1">
      <infra-num-subscription-mayor-epci-credentials
        (stepSubmitted)="onStepSubmitted($event)"
        [subscriptionData]="subscriptionData"
        [passwordStatusInitialValue]="passwordStatus"
      />
    </ng-container>
    <ng-container *ngSwitchCase="2">
      <infra-num-subscription-mayor-epci-information
        (stepSubmitted)='onStepSubmitted($event)'
        (goingBack)='onGoBack()'
        [subscriptionData]='subscriptionData'
      />
    </ng-container>
    <ng-container *ngSwitchCase="3">
      <infra-num-subscription-mayor-epci-check-email
        (goingBack)="onGoBack()"
        (stepSubmitted)="onStepSubmitted($event)"
        [subscriptionData]='subscriptionData'
      />
    </ng-container>
    <ng-container *ngSwitchCase="4">
      <infra-num-subscription-account-validation
        [cityHallEmail]="subscriptionData.locality.localityInformation.adresse_courriel"
        [userEmail]="subscriptionData.user.email"
      />
    </ng-container>
  </ng-container>
</div>
